package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhItems;

/**
 * 考核项Mapper接口
 * 
 * @author hs
 * @date 2025-06-17
 */
public interface KhItemsMapper 
{
    /**
     * 查询考核项
     * 
     * @param id 考核项主键
     * @return 考核项
     */
    public KhItems selectKhItemsById(Long id);

    /**
     * 查询考核项列表
     * 
     * @param khItems 考核项
     * @return 考核项集合
     */
    public List<KhItems> selectKhItemsList(KhItems khItems);

    /**
     * 新增考核项
     * 
     * @param khItems 考核项
     * @return 结果
     */
    public int insertKhItems(KhItems khItems);

    /**
     * 修改考核项
     * 
     * @param khItems 考核项
     * @return 结果
     */
    public int updateKhItems(KhItems khItems);

    /**
     * 删除考核项
     * 
     * @param id 考核项主键
     * @return 结果
     */
    public int deleteKhItemsById(Long id);

    /**
     * 批量删除考核项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhItemsByIds(Long[] ids);
}
